
[IDE] pdc202xx_old.c: fix PIO autotuning

Set controller PIO timings also if DMA is used.  This fixes lockup during PIO
access (ie. 'cat /proc/ide/hd?/identify') when Promise BIOS is not loaded.

 drivers/ide/pci/pdc202xx_old.c |    5 +----
 1 files changed, 1 insertion(+), 4 deletions(-)

diff -puN drivers/ide/pci/pdc202xx_old.c~ide-pdc_old-pio-fix drivers/ide/pci/pdc202xx_old.c
--- linux-2.6.0-test9/drivers/ide/pci/pdc202xx_old.c~ide-pdc_old-pio-fix	2003-11-01 18:34:51.641363984 +0100
+++ linux-2.6.0-test9-root/drivers/ide/pci/pdc202xx_old.c	2003-11-01 18:35:11.882286896 +0100
@@ -757,10 +757,7 @@ static void __init init_hwif_pdc202xx (i
 
 	hwif->speedproc = &pdc202xx_tune_chipset;
 
-	if (!hwif->dma_base) {
-		hwif->drives[0].autotune = hwif->drives[1].autotune = 1;
-		return;
-	}
+	hwif->drives[0].autotune = hwif->drives[1].autotune = 1;
 
 	hwif->ultra_mask = 0x3f;
 	hwif->mwdma_mask = 0x07;

_
